Get POS Sale

Retrieves a POS sale by its ID with optional line details

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Query parameters

withLinesbooleanOptional
Include sale lines and payment lines in the response

Response

This endpoint returns an object.
saleIdUUID
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
receiptNostring
posUnitstring
posStorestring
datedate
startTimedatetime
customerNostring
salespersonCodestring
vatBusinessPostingGroupstring
saleLineslist of objects or null
paymentLineslist of objects or null
totalSalesAmountInclVatdouble or null

Total amount of all sale lines including VAT (only present when withLines=true)

totalPaymentAmountdouble or null

Total amount of all payment lines (only present when withLines=true)